Download it now!
Bug 99172 - Basic import/export of dialogs ignores vertical alignment of text boxes
Summary: Basic import/export of dialogs ignores vertical alignment of text boxes
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: BASIC (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium trivial
Assignee: Vasily Melenchuk (CIB)
URL:
Whiteboard: target:5.2.0 target:5.1.3 target:5.0....
Keywords:
Depends on:
Blocks: BASIC-Dialog-Designer
  Show dependency treegraph
 
Reported: 2016-04-08 18:15 UTC by Vasily Melenchuk (CIB)
Modified: 2016-10-25 19:02 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vasily Melenchuk (CIB) 2016-04-08 18:15:43 UTC
Text boxes in Dialog Editor do have property "vertical align" (top/middle/bottom), but they are not written if this dialog is exported in xdl file and are ignored during import.

Steps to reproduce:
1) Create new dialog (Tools -> Macros -> Organize Dialogs -> new
2) Add a Text Box to dialog
3) Change "Vert. Alignment" to any value ("bottom" or "top"
4) Export dialog to file

Resulting file does not saves value of vertical alignment.

Same in back direction: textbox from xdl file with provided vertical alignment is imported with losing this property.
Comment 1 Commit Notification 2016-04-09 09:53:47 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=bef802a7bf7acb8331a1d776db9bbcc3bf16220b

tdf#99172 support for vertical align import/export property for text boxes

It will be available in 5.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Cor Nouws 2016-04-09 19:26:28 UTC
Thanks for the fix, Vasily.

I think this was an omission of the commits
 80d1a46e0f3b57f1bbaf7bc4c8aac81195ea8f4d and
 cb19042f4395c97d123a27c6960d5e30d666c010 ?
I set the Version to Unspecified.
Comment 3 Vasily Melenchuk (CIB) 2016-04-11 09:37:13 UTC
Cor, I did not dig so deep, sorry. This was just a practically discovered issue when I was creating custom Writer extension.

But yes, it looks so. I've practically confirmed affected versions down to 4.4.6.1. I did not check earlier versions.
Comment 4 Commit Notification 2016-04-12 08:50:09 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=be632ebd5cc2019c732798ec9f21bab235347644&h=libreoffice-5-1

tdf#99172 support for vertical align import/export property for text boxes

It will be available in 5.1.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-04-26 19:41:48 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f2528ce7eebfd0b9e873c6350e40f1cb7cb1d0a9&h=libreoffice-5-0

tdf#99172 support for vertical align import/export property for text boxes

It will be available in 5.0.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-04-26 19:54:15 UTC
Vasily Melenchuk committed a patch related to this issue.
It has been pushed to "libreoffice-5-0-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3c157dd16913bf873d6006767d8f53361b5d470b&h=libreoffice-5-0-6

tdf#99172 support for vertical align import/export property for text boxes

It will be available in 5.0.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.